aboutsummaryrefslogtreecommitdiff
path: root/desktop/aero-mouse-theme/aero-mouse-theme.SlackBuild
diff options
context:
space:
mode:
authorPetr Kletecka <petr@kle.cz>2018-03-09 23:14:10 +0000
committerWilly Sudiarto Raharjo <willysr@slackbuilds.org>2018-03-10 07:11:05 +0700
commitc4a61bf167d3616cf5830201c92c84eff7ab79ac (patch)
treea03fbaf72ce39cb9b0f34657f058b4d8ee2014f8 /desktop/aero-mouse-theme/aero-mouse-theme.SlackBuild
parent03c084a5cff4c85bfdf122898cbb20381199848f (diff)
downloadslackbuilds-c4a61bf167d3616cf5830201c92c84eff7ab79ac.tar.xz
desktop/aero-mouse-theme: Added (Aero cursor theme).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
Diffstat (limited to 'desktop/aero-mouse-theme/aero-mouse-theme.SlackBuild')
-rw-r--r--desktop/aero-mouse-theme/aero-mouse-theme.SlackBuild47
1 files changed, 47 insertions, 0 deletions
diff --git a/desktop/aero-mouse-theme/aero-mouse-theme.SlackBuild b/desktop/aero-mouse-theme/aero-mouse-theme.SlackBuild
new file mode 100644
index 000000000000..8daea8a6af72
--- /dev/null
+++ b/desktop/aero-mouse-theme/aero-mouse-theme.SlackBuild
@@ -0,0 +1,47 @@
+#!/bin/sh
+
+# Slackware build script for aero-mouse-theme
+
+# Petr Kletecka petr@kle.cz <2018>
+
+PRGNAM=aero-mouse-theme
+VERSION=${VERSION:-2016.04.15}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+
+ICONS=usr/share/icons
+mkdir -p $PKG/$ICONS
+tar xvf $CWD/58853-42734-aeromousetheme11.tar.gz -C $PKG/$ICONS
+
+cd $PKG
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+find $PKG/$ICONS -type f -empty -delete
+
+sed -i 's/Name=default/Name=Aero/' $PKG/$ICONS/aero/index.theme
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}